<?php

namespace App\Models\StockManagement;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class WarehouseHasManager extends Model{
    use HasFactory;

    protected $table = "stock_mgt__warehouse_has_managers";
    protected $guarded = [];
    public $timestamps = false;


    //RELATIONS
    public function user(){
        return $this->belongsTo(config("stocks-management.tables.user"),"manager_id");
    }

    public function warehouser(){
        return $this->belongsTo(config("stocks-management.tables.warehouse"),"warehouse_id");
    }
}
